org.eclipse.eef.ide.ui.api.widgets

## Interface IEEFLifecycleManagerProvider

    public interface IEEFLifecycleManagerProvider

This interface is used to get the `IEEFLifecycleManager` for a control.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canHandle(EEFControlDescription controlDescription)` Indicates if the lifecycle manager provider can handle the given control description.
`IEEFLifecycleManager` `getLifecycleManager(EEFControlDescription controlDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` Returns an `IEEFLifecycleManager` for the given description.

### Method Detail

#### canHandle

    boolean canHandle(EEFControlDescription controlDescription)

Indicates if the lifecycle manager provider can handle the given control description.

Parameters:
  `controlDescription` - the description of the control
Returns:
  `true` if the lifecycle manager can handle it, `false` otherwise

#### getLifecycleManager

    IEEFLifecycleManager getLifecycleManager(EEFControlDescription controlDescription,
                                             org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                             org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                             EditingContextAdapter contextAdapter)

Returns an `IEEFLifecycleManager` for the given description. This method should not return `null`, if a description is not supported, return false in the method canHandle.

Parameters:
  `controlDescription` - The control description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter
Returns:
  An `IEEFLifecycleManager`